| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Digikam::MagnifierItem Class Reference
Inheritance diagram for Digikam::MagnifierItem:

## Public Member Functions
| MagnifierItem (QGraphicsItem *const parent=nullptr)
int | magnifierSize () const
void | setMagnifierSize (int magnifierSize)
void | setSourcePixmap (const QPixmap &pixmap, const QRectF &rect)
void | setZoomFactor (qreal factor)
qreal | zoomFactor () const

## Static Public Member Functions
static QList< qreal > | zoomFactors ()

## Protected Member Functions
QRectF | boundingRect () const override
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override